Framebuffer Calibration Functions
Ecore » Ecore_FB - Frame buffer convenience functions.

Functions that calibrate the screen. More...

## Functions

void | ecore_fb_touch_screen_calibrate_set (int xscale, int xtrans, int yscale, int ytrans, int xyswap)
| Calibrates the touschreen using the given parameters.
void | ecore_fb_touch_screen_calibrate_get (int *xscale, int *xtrans, int *yscale, int *ytrans, int *xyswap)
| Retrieves the calibration parameters of the touchscreen.

## Detailed Description

Functions that calibrate the screen.

## Function Documentation

## ecore_fb_touch_screen_calibrate_set()

void ecore_fb_touch_screen_calibrate_set | ( | int | xscale,
|  | int | xtrans,
|  | int | yscale,
|  | int | ytrans,
|  | int | xyswap )

Calibrates the touschreen using the given parameters.

Parameters

  xscale | X scaling, where 256 = 1.0
  xtrans | X translation.
  yscale | Y scaling.
  ytrans | Y translation.
  xyswap | Swap X & Y flag.

## ecore_fb_touch_screen_calibrate_get()

void ecore_fb_touch_screen_calibrate_get | ( | int * | xscale,
|  | int * | xtrans,
|  | int * | yscale,
|  | int * | ytrans,
|  | int * | xyswap )

Retrieves the calibration parameters of the touchscreen.

Parameters

  xscale | Pointer to an integer in which to store the X scaling. Note that 256 = 1.0.
  xtrans | Pointer to an integer in which to store the X translation.
  yscale | Pointer to an integer in which to store the Y scaling.
  ytrans | Pointer to an integer in which to store the Y translation.
  xyswap | Pointer to an integer in which to store the Swap X & Y flag.